BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/stock/list
getWarehouseAdmin BFF

/bff/warehouse/stock/list

List stock items

WarehousegetBffWarehouseStockList

Parameters

8 query

Query parameters

· 8
warehouseIdstringOptional
Exampleexample_warehouseId
locationIdstringOptional
Exampleexample_locationId
productIdstringOptional
Exampleexample_productId
productVariantIdstringOptional
Exampleexample_productVariantId
searchstringOptional
Exampleexample_search
onlyPositivestringOptional
Exampleexample_onlyPositive
limitstringOptional
Exampleexample_limit
offsetstringOptional
Exampleexample_offset

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idnumberRequired
warehouseIdnumberRequired
warehouseNamestringRequired
warehouseCodestringRequired
locationIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
locationCodestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
locationNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
productIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
productCodestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
productNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
productVariantIdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
variantCodestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
variantNamestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
virtualItemSkustring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
itemLabelstringRequired
quantitynumberRequired
quantityReservednumberRequired

Active reservations against this cell (Tier 1 #1).

availablenumberRequired

quantity - quantityReserved.

lowStockThresholdnumber | nullRequired
One of 2:
Variant 1
number
Variant 2
null
insertedDatestringRequired
updatedDatestringRequired
itemCountnumberRequired

Response example

application/json
{
  "items": [
    {
      "id": 0,
      "warehouseId": 0,
      "warehouseName": "example_warehouseName",
      "warehouseCode": "example_warehouseCode",
      "itemLabel": "example_itemLabel",
      "quantity": 0,
      "quantityReserved": 0,
      "available": 0,
      "insertedDate": "example_insertedDate",
      "updatedDate": "example_updatedDate"
    }
  ],
  "itemCount": 0
}

Request example

GET /bff/warehouse/stock/list

get
curl -X GET "https://api.bizkithub.com/bff/warehouse/stock/list?warehouseId=example_warehouseId&locationId=example_locationId&productId=example_productId&productVariantId=example_productVariantId&search=example_search&onlyPositive=example_onlyPositive&limit=example_limit&offset=example_offset" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key